subroutine fi_SO2(r,p)
! compute the fundamental invariants
! atom order : S O O 
! r (input) real(kind=8) the internuclear distances
! p (output) real(kind=8) the fundamental invariants
implicit none
real(kind=8),intent(in) :: r(3)
real(kind=8),intent(out) :: p(3)
p(1)=r(1)+r(2) 
p(2)=r(1)**2+r(2)**2 
p(3)=r(3)
p(2)=p(2)**(0.5d0)
end subroutine fi_SO2
